<?php

/*
 * Squelette : squelettes/inc/inc-aside.html
 * Date :      Mon, 18 Jul 2016 07:28:11 GMT
 * Compile :   Mon, 18 Jul 2016 07:28:17 GMT
 * Boucles :   _cat, _man, _man_rub
 */ 

function BOUCLE_cathtml_25eeb71e600c18f59bb8e06e67643393(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_cat';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("0+rubriques.id_rubrique AS num",
		"rubriques.id_rubrique",
		"rubriques.titre",
		"rubriques.lang");
		$command['orderby'] = array('num');
		$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_parent', 0), 
			array('NOT', 
			array('=', 'rubriques.titre', "'home'")));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-aside.html','html_25eeb71e600c18f59bb8e06e67643393','_cat',23,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                    <li><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts(typo(supprimer_numero($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</a></li>
											');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_cat @ squelettes/inc/inc-aside.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_manhtml_25eeb71e600c18f59bb8e06e67643393(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'articles';
		$command['id'] = '_man';
		$command['from'] = array('articles' => 'spip_articles');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("articles.date",
		"articles.id_rubrique",
		"articles.author",
		"articles.lang",
		"articles.titre");
		$command['orderby'] = array('articles.date DESC');
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	$command['where'] = 
			array(
quete_condition_statut('articles.statut','publie,prop,prepa/auteur','publie',''), 
quete_condition_postdates('articles.date',''), 
			array('=', 'articles.id_rubrique', sql_quote($Pile[$SP]['id_rubrique'],'','bigint(21) NOT NULL DEFAULT \'0\'')));
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-aside.html','html_25eeb71e600c18f59bb8e06e67643393','_man',37,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                    <li><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts($Pile[$SP]['author']) .
'</a></li>
											');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_man @ squelettes/inc/inc-aside.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_man_rubhtml_25eeb71e600c18f59bb8e06e67643393(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_man_rub';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.id_rubrique",
		"rubriques.lang",
		"rubriques.titre");
		$command['orderby'] = array();
		$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_rubrique', "3"));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/inc-aside.html','html_25eeb71e600c18f59bb8e06e67643393','_man_rub',35,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                 <ul class="clearfix list-unstyled category-list">
											' .
BOUCLE_manhtml_25eeb71e600c18f59bb8e06e67643393($Cache, $Pile, $doublons, $Numrows, $SP) .
'	
                                 </ul>
										');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_man_rub @ squelettes/inc/inc-aside.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette squelettes/inc/inc-aside.html
// Temps de compilation total: 1.472 ms
//

function html_25eeb71e600c18f59bb8e06e67643393($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'                        <aside class="sidebar blog-sidebar">
                           <div class="widget clearfix outer-bottom-xs">
                              <h4 class="blog-sidebar-title">Social</h4>
                              <div class="body m-t-20">
                                 <ul class="clearfix list-unstyled sidebar-social-contact list-inline">
                                    <li><a href="#" class="fa fa-facebook" title="Facebook"></a></li>
                                    <li><a href="#" class="fa fa-pinterest" title="Pinterest"></a></li>
                                    <li><a href="#" class="fa fa-linkedin" title="linkedin"></a></li>
                                    <li><a href="#" class="fa fa-twitter" title="Twitter"></a></li>
                                    <li><a href="#" class="fa fa-google-plus" title="Google Plus"></a></li>
                                    <li><a href="#" class="fa fa-rss" title="Rss"></a></li>
                                    <li><a href="#" class="fa fa-facebook" title="Facebook"></a></li>
                                 </ul>
                                 <!-- /.list-unstyled -->
                              </div>
                              <!-- /.body -->
                           </div>
                           <!-- /.widget -->
                           <div class="widget clearfix outer-bottom-xs">
                              <h4 class="blog-sidebar-title">Categories</h4>
                              <div class="body m-t-20">
                                 <ul class="clearfix list-unstyled category-list">
											' .
BOUCLE_cathtml_25eeb71e600c18f59bb8e06e67643393($Cache, $Pile, $doublons, $Numrows, $SP) .
'	
                                 </ul>
                                 <!-- /.list-unstyled -->
                              </div>
                              <!-- /.body -->
                           </div>
                           <!-- /.widget -->
                           <div class="widget clearfix outer-bottom-xs">
                              <h4 class="blog-sidebar-title">Author</h4>
                              <div class="body m-t-20">
										' .
BOUCLE_man_rubhtml_25eeb71e600c18f59bb8e06e67643393($Cache, $Pile, $doublons, $Numrows, $SP) .
'	
                                 <!-- /.list-unstyled -->
                              </div>
                              <!-- /.body -->
                           </div>
                           <!-- /.widget -->
                        </aside>');

	return analyse_resultat_skel('html_25eeb71e600c18f59bb8e06e67643393', $Cache, $page, 'squelettes/inc/inc-aside.html');
}
?>